package cz.moneta.test.dsl.cagw.api.cbl.psd.pisp.my.payments.paymentid;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.cagw.api.cbl.psd.pisp.my.payments.paymentid.status.Status;
import cz.moneta.test.harness.endpoints.cagw.CaGwEndpoint;
import cz.moneta.test.harness.support.rest.Builders;
import cz.moneta.test.harness.support.rest.RestRequest;

public class PaymentIdBuilder {
    private final Harness harness;

    public PaymentIdBuilder(Harness harness) {
        this.harness = harness;
    }

    public Status prepareStatusRequest() {
        return getBuilder(Status.class);
    }

    private <RESP, B extends RestRequest<B, ?, RESP>> B getBuilder(Class<B> builderClass) {
        return Builders.newRestBuilder(builderClass, CaGwEndpoint.class, harness);
    }
}